apiVersion: v1
items:
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      cluster-autoscaler.kubernetes.io/safe-to-evict: "true"
      container.seccomp.security.alpha.kubernetes.io/controller: runtime/default
      container.seccomp.security.alpha.kubernetes.io/kube-rbac-proxy: runtime/default
      openshift.io/scc: restricted-v2
      seccomp.security.alpha.kubernetes.io/pod: runtime/default
    creationTimestamp: "2022-09-26T19:35:58Z"
    generateName: controller-fbcb84df4-
    labels:
      app: controller
      app.kubernetes.io/component: controller
      app.kubernetes.io/name: knative-serving
      app.kubernetes.io/version: 1.4.0
      pod-template-hash: fbcb84df4
    name: controller-fbcb84df4-9pvcd
    namespace: knative-serving
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: controller-fbcb84df4
      uid: 4100ca4a-2964-4067-b352-dccaf9b70f31
    resourceVersion: "54149"
    uid: e079a0a6-e3f4-42bc-80c3-f947e3073986
  spec:
    affinity:
      podAntiAffinity:
        preferredDuringSchedulingIgnoredDuringExecution:
        - podAffinityTerm:
            labelSelector:
              matchLabels:
                app: controller
            topologyKey: kubernetes.io/hostname
          weight: 100
    containers:
    - env:
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      - name: SYSTEM_NAMESPACE
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.namespace
      - name: CONFIG_LOGGING_NAME
        value: config-logging
      - name: CONFIG_OBSERVABILITY_NAME
        value: config-observability
      - name: METRICS_DOMAIN
        value: knative.dev/internal/serving
      - name: SSL_CERT_DIR
        value: /custom-certs
      - name: HTTP_PROXY
      - name: HTTPS_PROXY
      - name: NO_PROXY
      - name: METRICS_PROMETHEUS_HOST
        value: 127.0.0.1
      image: registry.redhat.io/openshift-serverless-1/serving-controller-rhel8@sha256:5e630b8121acd1d4cd2a8a85aa2adcfad35b61845bc66a0b065ba8658bcf75b6
      imagePullPolicy: IfNotPresent
      name: controller
      ports:
      - containerPort: 9090
        name: metrics
        protocol: TCP
      - containerPort: 8008
        name: profiling
        protocol: TCP
      resources:
        limits:
          cpu: "1"
          memory: 1000Mi
        requests:
          cpu: 100m
          memory: 100Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        readOnlyRootFilesystem: true
        runAsNonRoot: true
        runAsUser: 1000640000
        seccompProfile:
          type: RuntimeDefault
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /custom-certs
        name: custom-certs-config-service-ca
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-vtfgp
        readOnly: true
    - args:
      - --secure-listen-address=0.0.0.0:8444
      - --upstream=http://127.0.0.1:9090/
      - --tls-cert-file=/etc/tls/private/tls.crt
      - --tls-private-key-file=/etc/tls/private/tls.key
      - --logtostderr=true
      - --v=10
      image: registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:eb3a980dff95760fce034fa95326b555b72bb5bb41de935614260f1266c3be6f
      imagePullPolicy: IfNotPresent
      name: kube-rbac-proxy
      resources:
        requests:
          cpu: 10m
          memory: 20Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        readOnlyRootFilesystem: true
        runAsNonRoot: true
        runAsUser: 1000640000
        seccompProfile:
          type: RuntimeDefault
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /etc/tls/private
        name: secret-controller-sm-service-tls
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-vtfgp
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    imagePullSecrets:
    - name: controller-dockercfg-9b8mr
    nodeName: ip-10-0-177-37.us-west-1.compute.internal
    preemptionPolicy: PreemptLowerPriority
    priority: 0
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 1000640000
      seLinuxOptions:
        level: s0:c25,c20
      seccompProfile:
        type: RuntimeDefault
    serviceAccount: controller
    serviceAccountName: controller
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - configMap:
        defaultMode: 420
        name: config-service-ca
      name: custom-certs-config-service-ca
    - name: secret-controller-sm-service-tls
      secret:
        defaultMode: 420
        secretName: controller-sm-service-tls
    - name: kube-api-access-vtfgp
      projected:
        defaultMode: 420
        sources:
        - serviceAccountToken:
            expirationSeconds: 3607
            path: token
        - configMap:
            items:
            - key: ca.crt
              path: ca.crt
            name: kube-root-ca.crt
        - downwardAPI:
            items:
            - fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
              path: namespace
        - configMap:
            items:
            - key: service-ca.crt
              path: service-ca.crt
            name: openshift-service-ca.crt
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      message: 'containers with unready status: [controller kube-rbac-proxy]'
      reason: ContainersNotReady
      status: "False"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      message: 'containers with unready status: [controller kube-rbac-proxy]'
      reason: ContainersNotReady
      status: "False"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - image: registry.redhat.io/openshift-serverless-1/serving-controller-rhel8@sha256:5e630b8121acd1d4cd2a8a85aa2adcfad35b61845bc66a0b065ba8658bcf75b6
      imageID: ""
      lastState: {}
      name: controller
      ready: false
      restartCount: 0
      started: false
      state:
        waiting:
          reason: ContainerCreating
    - image: registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:eb3a980dff95760fce034fa95326b555b72bb5bb41de935614260f1266c3be6f
      imageID: ""
      lastState: {}
      name: kube-rbac-proxy
      ready: false
      restartCount: 0
      started: false
      state:
        waiting:
          reason: ContainerCreating
    hostIP: 10.0.177.37
    phase: Pending
    qosClass: Burstable
    startTime: "2022-09-26T19:35:58Z"
- apiVersion: v1
  kind: Pod
  metadata:
    annotations:
      cluster-autoscaler.kubernetes.io/safe-to-evict: "true"
      container.seccomp.security.alpha.kubernetes.io/controller: runtime/default
      container.seccomp.security.alpha.kubernetes.io/kube-rbac-proxy: runtime/default
      openshift.io/scc: restricted-v2
      seccomp.security.alpha.kubernetes.io/pod: runtime/default
    creationTimestamp: "2022-09-26T19:35:58Z"
    generateName: controller-fbcb84df4-
    labels:
      app: controller
      app.kubernetes.io/component: controller
      app.kubernetes.io/name: knative-serving
      app.kubernetes.io/version: 1.4.0
      pod-template-hash: fbcb84df4
    name: controller-fbcb84df4-xblvv
    namespace: knative-serving
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: ReplicaSet
      name: controller-fbcb84df4
      uid: 4100ca4a-2964-4067-b352-dccaf9b70f31
    resourceVersion: "54143"
    uid: 05af1769-9d2a-4b34-8bf7-9f766789a647
  spec:
    affinity:
      podAntiAffinity:
        preferredDuringSchedulingIgnoredDuringExecution:
        - podAffinityTerm:
            labelSelector:
              matchLabels:
                app: controller
            topologyKey: kubernetes.io/hostname
          weight: 100
    containers:
    - env:
      - name: POD_NAME
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.name
      - name: SYSTEM_NAMESPACE
        valueFrom:
          fieldRef:
            apiVersion: v1
            fieldPath: metadata.namespace
      - name: CONFIG_LOGGING_NAME
        value: config-logging
      - name: CONFIG_OBSERVABILITY_NAME
        value: config-observability
      - name: METRICS_DOMAIN
        value: knative.dev/internal/serving
      - name: SSL_CERT_DIR
        value: /custom-certs
      - name: HTTP_PROXY
      - name: HTTPS_PROXY
      - name: NO_PROXY
      - name: METRICS_PROMETHEUS_HOST
        value: 127.0.0.1
      image: registry.redhat.io/openshift-serverless-1/serving-controller-rhel8@sha256:5e630b8121acd1d4cd2a8a85aa2adcfad35b61845bc66a0b065ba8658bcf75b6
      imagePullPolicy: IfNotPresent
      name: controller
      ports:
      - containerPort: 9090
        name: metrics
        protocol: TCP
      - containerPort: 8008
        name: profiling
        protocol: TCP
      resources:
        limits:
          cpu: "1"
          memory: 1000Mi
        requests:
          cpu: 100m
          memory: 100Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        readOnlyRootFilesystem: true
        runAsNonRoot: true
        runAsUser: 1000640000
        seccompProfile:
          type: RuntimeDefault
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /custom-certs
        name: custom-certs-config-service-ca
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-vtzt5
        readOnly: true
    - args:
      - --secure-listen-address=0.0.0.0:8444
      - --upstream=http://127.0.0.1:9090/
      - --tls-cert-file=/etc/tls/private/tls.crt
      - --tls-private-key-file=/etc/tls/private/tls.key
      - --logtostderr=true
      - --v=10
      image: registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:eb3a980dff95760fce034fa95326b555b72bb5bb41de935614260f1266c3be6f
      imagePullPolicy: IfNotPresent
      name: kube-rbac-proxy
      resources:
        requests:
          cpu: 10m
          memory: 20Mi
      securityContext:
        allowPrivilegeEscalation: false
        capabilities:
          drop:
          - ALL
        readOnlyRootFilesystem: true
        runAsNonRoot: true
        runAsUser: 1000640000
        seccompProfile:
          type: RuntimeDefault
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      volumeMounts:
      - mountPath: /etc/tls/private
        name: secret-controller-sm-service-tls
      - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
        name: kube-api-access-vtzt5
        readOnly: true
    dnsPolicy: ClusterFirst
    enableServiceLinks: true
    imagePullSecrets:
    - name: controller-dockercfg-9b8mr
    nodeName: ip-10-0-238-73.us-west-1.compute.internal
    preemptionPolicy: PreemptLowerPriority
    priority: 0
    restartPolicy: Always
    schedulerName: default-scheduler
    securityContext:
      fsGroup: 1000640000
      seLinuxOptions:
        level: s0:c25,c20
      seccompProfile:
        type: RuntimeDefault
    serviceAccount: controller
    serviceAccountName: controller
    terminationGracePeriodSeconds: 30
    tolerations:
    - effect: NoExecute
      key: node.kubernetes.io/not-ready
      operator: Exists
      tolerationSeconds: 300
    - effect: NoExecute
      key: node.kubernetes.io/unreachable
      operator: Exists
      tolerationSeconds: 300
    - effect: NoSchedule
      key: node.kubernetes.io/memory-pressure
      operator: Exists
    volumes:
    - configMap:
        defaultMode: 420
        name: config-service-ca
      name: custom-certs-config-service-ca
    - name: secret-controller-sm-service-tls
      secret:
        defaultMode: 420
        secretName: controller-sm-service-tls
    - name: kube-api-access-vtzt5
      projected:
        defaultMode: 420
        sources:
        - serviceAccountToken:
            expirationSeconds: 3607
            path: token
        - configMap:
            items:
            - key: ca.crt
              path: ca.crt
            name: kube-root-ca.crt
        - downwardAPI:
            items:
            - fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
              path: namespace
        - configMap:
            items:
            - key: service-ca.crt
              path: service-ca.crt
            name: openshift-service-ca.crt
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      status: "True"
      type: Initialized
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      message: 'containers with unready status: [controller kube-rbac-proxy]'
      reason: ContainersNotReady
      status: "False"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      message: 'containers with unready status: [controller kube-rbac-proxy]'
      reason: ContainersNotReady
      status: "False"
      type: ContainersReady
    - lastProbeTime: null
      lastTransitionTime: "2022-09-26T19:35:58Z"
      status: "True"
      type: PodScheduled
    containerStatuses:
    - image: registry.redhat.io/openshift-serverless-1/serving-controller-rhel8@sha256:5e630b8121acd1d4cd2a8a85aa2adcfad35b61845bc66a0b065ba8658bcf75b6
      imageID: ""
      lastState: {}
      name: controller
      ready: false
      restartCount: 0
      started: false
      state:
        waiting:
          reason: ContainerCreating
    - image: registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:eb3a980dff95760fce034fa95326b555b72bb5bb41de935614260f1266c3be6f
      imageID: ""
      lastState: {}
      name: kube-rbac-proxy
      ready: false
      restartCount: 0
      started: false
      state:
        waiting:
          reason: ContainerCreating
    hostIP: 10.0.238.73
    phase: Pending
    qosClass: Burstable
    startTime: "2022-09-26T19:35:58Z"
kind: List
metadata:
  resourceVersion: ""
